// case - file manager for N900
// Copyright (C) 2010 Lukas Hrazky <lukkash@email.cz>
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.


#ifndef FILELIST_H
#define FILELIST_H

#include <QListView>
#include <QFileInfoList>
#include <QFileSystemModel>


class FileList : public QListView {
    Q_OBJECT;

signals:
    void mousePressed();
    void pathChanged(QString path);

public:
    explicit FileList(QWidget *parent = 0);

    const QFileInfoList selection() const;
    const QString path() const;

public slots:
    bool changePath(QString path);
    bool goUp();
    void toggleShowHiddenFiles();

protected:
    QFileSystemModel *fileSystemModel;

    void mousePressEvent(QMouseEvent *event);

private slots:
    void activateItem(QModelIndex index);
};

#endif // FILELIST_H
